uploads
Get all uploads
Lists completed Dromo uploads for the authenticated organization, optionally filtered by a start and end date.
GET
/
uploads
/
Get all uploads
curl --request GET \
--url https://app.dromo.io/api/v1/uploads/ \
--header 'X-Dromo-License-Key: <api-key>'import requests
url = "https://app.dromo.io/api/v1/uploads/"
headers = {"X-Dromo-License-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Dromo-License-Key': '<api-key>'}};
fetch('https://app.dromo.io/api/v1/uploads/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start": 123,
"end": 123,
"total_num_uploads": 123,
"data": [
{
"id": "64b07421-f291-4449-a7d4-0f2e6ab912c4",
"import_identifier": "new products",
"raw_upload": {
"filename": "my_file.csv",
"storage_key": "c82e33b1-cea6-4271-9d21-38140c13fe28-my_file.csv"
},
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"companyId": "<string>",
"companyName": "<string>"
},
"created_date": "2023-11-07T05:31:56Z",
"total_num_rows": 123,
"invalid_row_indexes": [
123
],
"errors": [
{}
],
"storage_key": "64b07421-f291-4449-a7d4-0f2e6ab912c4",
"field_order": [
"<string>"
]
}
]
}Authorizations
This backend API key is different than your frontend license key. Please use the "Backend" license key from your Dromo Dashboard.
Query Parameters
start index
end index, defaults to max return value, 10000
Previous
Get upload metadataReturns metadata for a completed Dromo upload, including information about its schema, user, and results.
Next
⌘I
Get all uploads
